QGIS Application - Bug report #7806
"Invalid layer" dialog is not helpful
2013-05-10 08:33 PM - Aren Cambre

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:1.8.0

Operating System: Windows
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 16696

Description

The Invalid Layer dialog does not explain why a layer is invalid.

The attached image has an Invalid Layer dialog that appeared after trying to add a PostGIS table. My view does not have an id column
(it only has a geom column). If | didn't already know of the requirement for an id column, | would have had no clue what caused this error.

I am filing as a bug because this is a defect with the Ul. The Ul should explain errors in enough detail that the user can resolve them.

Associated revisions

Revision 5009aad2 - 2013-05-17 02:14 PM - Matthias Kuhn

[Fix #7806] Be more verbose in "invalid layer" dialog

History

#1 - 2013-05-17 05:22 AM - Matthias Kuhn
- Status changed from Open to Closed

Fixed in changeset commit:"5009aad255537d2bd708f72682264ea88eba701e".
